Skip to main content
GET
/
contractors
/
{contractorId}
Get a contractor
curl --request GET \
  --url https://app.lanten.co/api/open/v1/contractors/{contractorId} \
  --header 'Authorization: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "companyName": "<string>",
    "contactName": "<string>",
    "email": "jsmith@example.com",
    "phoneNumber": "<string>",
    "fullAddress": "<string>",
    "status": "active",
    "trades": [
      "<string>"
    ],
    "coveragePostcodes": [
      "<string>"
    ],
    "certifications": [
      {
        "type": "<string>",
        "registrationNumber": "<string>",
        "expiryDate": "2023-11-07T05:31:56Z"
      }
    ],
    "insurance": [
      {
        "type": "<string>",
        "amount": 123,
        "expiryDate": "2023-11-07T05:31:56Z"
      }
    ],
    "rating": 123,
    "completedJobs": 123,
    "notes": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

contractorId
string<uuid>
required

Response

Contractor

data
object